__gnu_pbds::container_traits_base< thin_heap_tag > Struct Reference
Extensions » Policy-Based Data Structures » Traits

`#include <tag_and_trait.hpp>`

## Public Types

enum | { order_preserving , erase_can_throw , split_join_can_throw , reverse_iteration }
typedef thin_heap_tag | container_category
typedef point_invalidation_guarantee | invalidation_guarantee

## Detailed Description

Specialization, thin heap.

Definition at line 352 of file tag_and_trait.hpp.

## Member Typedef Documentation

## container_category

typedef thin_heap_tag __gnu_pbds::container_traits_base< thin_heap_tag >::container_category

Definition at line 354 of file tag_and_trait.hpp.

## invalidation_guarantee

typedef point_invalidation_guarantee __gnu_pbds::container_traits_base< thin_heap_tag >::invalidation_guarantee

Definition at line 355 of file tag_and_trait.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Definition at line 357 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp